gtkunixprint Functions
Prev | The gtkunixprint Class Reference | Next

## gtkunixprint Functions

gtkunixprint Functions — the built-in functions of the gtkunixprint module

## Synopsis

        def gtkunixprint.enumerate_printers(func, data=None, wait=True)

## Functions

### gtkunixprint.enumerate_printers

        def gtkunixprint.enumerate_printers(func, data=None, wait=True)

`func` : | a function to call for each printer
`data` : | user data to pass to `func`
`wait` : | if `True`, wait in a recursive mainloop until all printers are enumerated; otherwise return early

### Note

This function is available in PyGTK 2.10 and above.

Calls the function specified by `func` for all `gtkunixprint.Printer`s. If `func` returns `True`, the enumeration is stopped.

The signature of func is:

      def func(printer, user_data):

where `printer` is a `gtkunixprint.Printer` object and `user_data` is `data`. Note if `data` is not specified `user_data` will not be passed to func.

Prev | Up | Next
gtkunixprint.PrintUnixDialog | Home | gtkunixprint Constants